<link rel="stylesheet" href="https://unpkg.com/leaflet@1.4.0/dist/leaflet.css" />

<ion-header translucent="false" class="ion-no-border">
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title size="small">WeQueue:</ion-title>
    <ion-title>{{ queue.name }}</ion-title>
    <ion-buttons collapse="true" slot="end">
      <ion-button>Hilfe</ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen="false">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-buttons slot="start">
        <ion-back-button></ion-back-button>
      </ion-buttons>
      <ion-title size="small">WeQueue:</ion-title>
      <ion-title size="large">{{ queue.name }}</ion-title>
      <ion-buttons collapse="true" slot="end">
        <ion-button>Hilfe</ion-button>
      </ion-buttons>
    </ion-toolbar>
  </ion-header>

  <div id="mapId" style="width: 100%; height:50%">  </div>

  <ion-grid class="ion-padding-start ion-padding-end">
    <ion-row>
      <ion-col size="12" size-sm>
        <ion-label>
          <ion-row>
            <ion-col size="12">
              <h2>{{ queue.name }}</h2>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="12">
              <h3>{{ queue.address.address }}, {{ queue.address.plz }} {{ queue.address.city }}</h3>
              <p>{{ queue.category }}</p>
            </ion-col>
          </ion-row>
        </ion-label>
      </ion-col>
      <ion-col size="12" size-sm>
        <ion-label>
          <ion-row>
            <ion-col size="12">
              <h2>Wartezeit</h2>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="6">
            <h3>durchschnittl.</h3>
            <p>{{ queue.avg_wait_time }} Min.</p>
            </ion-col>
            <ion-col size="6">
              <h3>aktuell</h3>
              <p>{{queue.act_wait_time}} Min.</p>
            </ion-col>
          </ion-row>
        </ion-label>
      </ion-col>
      <ion-col size="12" size-sm>
        <ion-label>
          <ion-row>
            <ion-col size="12" class="ion-text-center">
              <h2>Auslastung</h2>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="4" size-sm>
              <h3>Leer</h3>
            </ion-col>
            <ion-col size="4" class="ion-text-center" size-sm>
              <h3>Mittel</h3>
            </ion-col>
            <ion-col size="4" class="ion-text-right" size-sm >
              <h3>Voll</h3>
            </ion-col>
          </ion-row>
          <ion-progress-bar value={{queue.status}}></ion-progress-bar>
        </ion-label>
      </ion-col>
    </ion-row>
    </ion-grid>

    <ion-grid>
      <ion-row center>
        <ion-col size="12" size-sm>
        </ion-col>
        <ion-col size="12" size-sm>
          <ion-button [routerLink]="['/warten', queue.id]" routerDirection="forward" expand="block">Anstellen</ion-button>
        </ion-col>
        <ion-col size="12" size-sm>
        </ion-col>
      </ion-row>
      <ion-row center>
        <ion-col size="12" size-sm>
        </ion-col>
        <ion-col size="12" size-sm>
          <ion-button color="danger" expand="block">Queue melden</ion-button>
        </ion-col>
        <ion-col size="12" size-sm>
        </ion-col>
      </ion-row>
      
    </ion-grid>
</ion-content>
